/*
Theme Name: LamdStudio
Description: This is a child theme for Flatsome Theme
Author: Netbase Solutions
Author URI: https://netbase.vn
Template: flatsome
Version: 3.1
*/


/* General
----------------------------------------------------------- */


/* base class */
.icon {
    display: inline-block;
    font: normal normal normal 1em/1 'sgicons';
    color: inherit;
    flex-shrink: 0;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}


/* size examples - relative units */
.icon-sm {
    font-size: 0.8em;
}

.icon-lg {
    font-size: 1.2em;
}

/* size examples - absolute units */
.icon-16 {
    font-size: 16px;
}

.icon-32 {
    font-size: 32px;
}

/* rotate the icon infinitely */
.icon-is-spinning {
    animation: icon-spin 1s infinite linear;
}

@keyframes icon-spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

/* transform */
.icon-rotate-90 {
    transform: rotate(90deg);
}

.icon-rotate-180 {
    transform: rotate(180deg);
}

.icon-rotate-270 {
    transform: rotate(270deg);
}

.icon-flip-y {
    transform: scaleY(-1);
}

.icon-flip-x {
    transform: scaleX(-1);
}

/* icons */
.icon-arrow-left::before {
    content: "\ea02";
}

.icon-arrow-down::before {
    content: "\ea03";
}

.icon-arrow-right::before {
    content: "\ea04";
}

.icon-arrow-up::before {
    content: "\ea05";
}

.icon-caret-sm-up::before {
    content: "\ea06";
}

.icon-arrow-sm-left::before {
    content: "\ea07";
}

.icon-arrow-sm-right::before {
    content: "\ea08";
}

.icon-arrow-sm-down::before {
    content: "\ea09";
}

.icon-up-arrow::before {
    content: "\ea0a";
}

.icon-right-arrow::before {
    content: "\ea0b";
}

.icon-left-arrow::before {
    content: "\ea0c";
}

.icon-down-arrow::before {
    content: "\ea0d";
}

.icon-trend-up::before {
    content: "\ea0e";
}

.icon-trend-down::before {
    content: "\ea0f";
}

.icon-zoom::before {
    content: "\ea10";
}

.icon-hide::before {
    content: "\ea11";
}

.icon-view::before {
    content: "\ea12";
}

.icon-filter::before {
    content: "\ea13";
}

.icon-funnel::before {
    content: "\ea14";
}

.icon-filter-tool::before {
    content: "\ea15";
}

.icon-sort-tool::before {
    content: "\ea16";
}

.icon-account::before {
    content: "\ea17";
}

.icon-user::before {
    content: "\ea18";
}

.icon-user-2::before {
    content: "\ea19";
}

.icon-bag-20::before {
    content: "\ea1a";
}

.icon-bag-17::before {
    content: "\ea1b";
}

.icon-shopping-bag::before {
    content: "\ea1c";
}

.icon-bag-16::before {
    content: "\ea1d";
}

.icon-basket::before {
    content: "\ea1e";
}

.icon-devto::before {
    content: "\ea1f";
}

.icon-tiktok::before {
    content: "\ea20";
}

.icon-logo-snapchat::before {
    content: "\ea21";
}

.icon-logo-unsplash::before {
    content: "\ea22";
}

.icon-google::before {
    content: "\ea23";
}

.icon-telegram::before {
    content: "\ea24";
}

.icon-spectrum::before {
    content: "\ea25";
}

.icon-logo-mixer::before {
    content: "\ea26";
}

.icon-microsoft-onenote::before {
    content: "\ea27";
}

.icon-twitch::before {
    content: "\ea28";
}

.icon-discord::before {
    content: "\ea29";
}

.icon-logo-wikipedia::before {
    content: "\ea2a";
}

.icon-logo-medium::before {
    content: "\ea2b";
}

.icon-logo-wechat::before {
    content: "\ea2c";
}

.icon-logo-weibo::before {
    content: "\ea2d";
}

.icon-logo-vk::before {
    content: "\ea2e";
}

.icon-logo-squarespace::before {
    content: "\ea2f";
}

.icon-logo-qq::before {
    content: "\ea30";
}

.icon-logo-messenger::before {
    content: "\ea31";
}

.icon-logo-angellist::before {
    content: "\ea32";
}

.icon-logo-shopify::before {
    content: "\ea33";
}

.icon-logo-youtube::before {
    content: "\ea34";
}

.icon-logo-yelp::before {
    content: "\ea35";
}

.icon-logo-wordpress::before {
    content: "\ea36";
}

.icon-logo-whatsapp::before {
    content: "\ea37";
}

.icon-logo-vine::before {
    content: "\ea38";
}

.icon-logo-vimeo::before {
    content: "\ea39";
}

.icon-logo-twitter::before {
    content: "\ea3a";
}

.icon-logo-tumblr::before {
    content: "\ea3b";
}

.icon-logo-trello::before {
    content: "\ea3c";
}

.icon-logo-spotify::before {
    content: "\ea3d";
}

.icon-logo-soundcloud::before {
    content: "\ea3e";
}

.icon-logo-slack::before {
    content: "\ea3f";
}

.icon-logo-skype::before {
    content: "\ea40";
}

.icon-logo-myspace::before {
    content: "\ea41";
}

.icon-logo-rss::before {
    content: "\ea42";
}

.icon-logo-reddit::before {
    content: "\ea43";
}

.icon-logo-product-hunt::before {
    content: "\ea44";
}

.icon-logo-pinterest::before {
    content: "\ea45";
}

.icon-logo-paypal::before {
    content: "\ea46";
}

.icon-logo-meetup::before {
    content: "\ea47";
}

.icon-logo-linkedin::before {
    content: "\ea48";
}

.icon-logo-lastfm::before {
    content: "\ea49";
}

.icon-logo-instagram::before {
    content: "\ea4a";
}

.icon-logo-github::before {
    content: "\ea4b";
}

.icon-logo-google-plus::before {
    content: "\ea4c";
}

.icon-logo-flickr::before {
    content: "\ea4d";
}

.icon-logo-feedly::before {
    content: "\ea4e";
}

.icon-logo-fb-simple::before {
    content: "\ea4f";
}

.icon-logo-envato::before {
    content: "\ea50";
}

.icon-logo-facebook::before {
    content: "\ea51";
}

.icon-logo-evernote::before {
    content: "\ea52";
}

.icon-logo-dropbox::before {
    content: "\ea53";
}

.icon-logo-dribbble::before {
    content: "\ea54";
}

.icon-logo-deviantart::before {
    content: "\ea55";
}

.icon-logo-crunchbase::before {
    content: "\ea56";
}

.icon-logo-creative-market::before {
    content: "\ea57";
}

.icon-logo-codepen::before {
    content: "\ea58";
}

.icon-logo-buysellads::before {
    content: "\ea59";
}

.icon-logo-buffer::before {
    content: "\ea5a";
}

.icon-logo-blogger::before {
    content: "\ea5b";
}

.icon-logo-behance::before {
    content: "\ea5c";
}

.icon-logo-500px::before {
    content: "\ea5d";
}

.icon-e-remove::before {
    content: "\ea5e";
}

.icon-e-add::before {
    content: "\ea5f";
}

.icon-e-delete::before {
    content: "\ea60";
}

.icon-shopping-cart::before {
    content: "\ea61";
}

.icon-shopping-cart-2::before {
    content: "\ea62";
}

.icon-menu-4::before {
    content: "\ea63";
}

.icon-menu-to-arrow-right::before {
    content: "\ea64";
}

.icon-delivery-fast::before {
    content: "\ea65";
}

.icon-delivery::before {
    content: "\ea66";
}

.icon-send::before {
    content: "\ea67";
}

.icon-user-s-frame::before {
    content: "\ea68";
}

.icon-hearts-suit::before {
    content: "\ea69";
}


:root {
    --color-primary: #000;
    --color-secondary: #2b2d2f;
    --color-body: #2b2d2f;
    --color-warning: #e28e00;
    --color-danger: #cc1818;
    --color-success: #017b57;
    --color-white: #fff;
    --color-background: #F4F2EE;
    --color-border: rgba(28,28,28,0.2);
    --font-primary: 'Now';
    --font-secondary: 'GeosansLight';
    --font-icons: 'sgicons';
}

body {
    font-family: var(--font-secondary) !important;
    font-size: 15px;
    font-weight: 300;
    line-height: 1.5;
	letter-spacing: 2px;
    color: var(--color-primary) !important;
}

h1,
h2,
h3,
h4,
h5,
h6,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6 {
    font-family: var(--font-primary) !important;
    color: var(--color-primary) !important;
    line-height: 1.2;
}

.nav-dropdown-has-shadow .nav-dropdown {
    border: none;
    box-shadow: none;
}

/* Input */
.select-resize-ghost,
.select2-container .select2-choice,
.select2-container .select2-selection,
input[type=date],
input[type=email],
input[type=number],
input[type=password],
input[type=search],
input[type=tel],
input[type=text],
input[type=url],
select,
textarea {
    box-shadow: none;
    border: 1px solid var(--color-border);

}

.button:focus:not(:focus-visible),
a:focus:not(:focus-visible),
button:focus:not(:focus-visible),
input:focus:not(:focus-visible) {
    box-shadow: none !important;
}

.title-smaller {
    font-size: 14px;
    font-weight: 400;
}
.normal-title {
    border-top: none;
    border-bottom: none;
    background-color: var(--color-background);
}
.spacing {
    padding-left: 15px;
    padding-right: 15px;
}
/* Header
----------------------------------------------------------- */
#header {
    color: var(--color-primary) !important;
}

#header i {
    font-family: var(--font-icons) !important;
    color: var(--color-primary);
}

#header .icon-menu:before {
    content: "\ea64";
}
h1, h2, h3, h4, h5, h6, .heading-font, .off-canvas-center .nav-sidebar.nav-vertical > li > a {
    font-size: 13px;
    font-family: var(--font-primary) !important;
    text-transform: uppercase !important;
}
.nav.nav-vertical li a {
    text-transform: uppercase;
}
.nav-vertical>li>ul li a {
    font-size: 13px;
    color: var(--color-primary);
    text-transform: uppercase;
}
.header-shadow .header-wrapper,
.header-wrapper.stuck,
.layout-shadow #wrapper {
    box-shadow: none;
}

.header-main .nav>li>a {
    font-size: 14px;
    font-weight: 500;
    font-family: var(--font-primary) !important;
    letter-spacing: 0.5px;
    color: var(--color-secondary);
}

.header-main .nav>li>a:hover {
    color: var(--color-primary);
}

.nav-dropdown-default .nav-column li>a,
.nav-dropdown.nav-dropdown-default>li>a {
    color: var(--color-secondary);
    border-bottom: none;
}

.nav-dropdown-default .nav-column li>a:hover,
.nav-dropdown.nav-dropdown-default>li>a:hover {
    color: var(--color-primary);
}

.nav-dropdown-has-arrow.nav-dropdown-has-border li.has-dropdown:before {
    border-bottom-color: transparent !important;
}

@media (min-width: 1024px) {
    .mega-menu .sub-menu {
        min-width: 500px;
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
    }
}


.off-canvas-center .mfp-container {
    background-color: var(--color-white);
}

.off-canvas-center .mfp-container a {
    color: var(color-white);
}

.off-canvas-center .nav-sidebar.nav-vertical>li>a {
    font-family: var(--font-primary);
    font-weight: 400;
    color: var(--color-primary) !important;
    font-size: 13px;
}
.off-canvas .nav-vertical li li>a {
    font-size: 13px;
    color: var(--color-primary);
}
.mfp-close svg {
    color: var(--color-primary);
}


@media screen and (max-width: 1920px) {
    .header-inner {
        padding-left: 15px;
        padding-right: 15px
    }
}

@media (max-width: 1024px) {
    .header-inner {
        padding-left: 15px;
        padding-right: 15px
    }
}

/* Post & Pages
----------------------------------------------------------- */

/* Woocommerce
----------------------------------------------------------- */
.product-title a {
    font-size: 12px;
    font-family: var(--font-secondary) !important;
    color: var(--color-secondary);
}
.price-wrapper {
    font-size: 12px;
}
.price-wrapper span.amount {
    color: var(--color-secondary) !important;
    font-weight: 300 !important;
}
.border-right {
    border-right: 1px solid var(--color-primary);
}

.single-product .single_add_to_cart_button {
    color: var(--color-primary) !important;
    border: 1px solid var(--color-primary) !important;
    background-color: transparent;
}
.single-product .single_add_to_cart_button:hover {
    color: var(--color-white) !important;
    background-color: var(--color-primary) !important;
}
.single-product .buy_now_button {
    border: 1px solid var(--color-primary) !important;
}
.single-product .woocommerce-breadcrumb {
    display: none;
}

.single-product .product-section {
    border-top: 0;
}
.single-product .product-section-title-related {
    font-size: 14px;
    margin: 10px 0 15px 0;
    padding: 0;
}
.woocommerce-variation-price {
    border-top: none;
}
.single-product .social-icons {
    display: none;
}

.checkout-page-title .page-title-inner {
    display: none;
}


.dashboard-links a {
    border-radius: 0;
    border: 1px solid var(--color-primary);
    -webkit-border-radius: 0;
    -moz-border-radius: 0;
    -ms-border-radius: 0;
    -o-border-radius: 0;
}

.dashboard-links a:hover {
    background-color: var(--color-primary) !important;
}


.nav-pagination>li>a,
.nav-pagination>li>span {
    border-radius: 0 !important;
    -webkit-border-radius: 0 !important;
    -moz-border-radius: 0 !important;
    -ms-border-radius: 0 !important;
    -o-border-radius: 0 !important;
    border: 1px solid var(--color-primary);
}
.button.is-outline, input[type=button].is-outline, input[type=reset].is-outline, input[type=submit].is-outline {
    color: var(--color-primary);
    border: 1px solid var(--color-primary);
    border-radius: 0 !important;
    -webkit-border-radius: 0 !important;
    -moz-border-radius: 0 !important;
    -ms-border-radius: 0 !important;
    -o-border-radius: 0 !important;
    margin: 0 5px;
}
.entry-divider {
    display: none;
}

.ux-swatch {
    font-size: 14px;
    font-weight: 600;
    color: var(--color-primary);
}
.ux-swatch.selected {
    box-shadow: 0 0 0 1px var(--color-primary);
}

@media (max-width: 768px) {
    .p-description {
        order: 2;
    }
    .p-gallery {
        order: 1;
    }
    .p-order {
        order: 3;
    }
    .single-product .next-prev-thumbs {
        display: none;
    }
    .single-product .social-icons {
        display: none;
    }
    .single-product .product-images>.woocommerce-product-gallery__wrapper {
        display: none;
    }
    .single-product .woocommerce-product-gallery__wrapper img {
        margin-bottom: 10px;
    }
    .single-product .product-main {
        position: relative;
    }
    .single-product .p-order {
        background-color: #fff;
        /* top: calc(100vh - 165px); */
        border-top: #000 solid 1px;
        bottom: 0px;
        padding-top: 1rem;
        position: -webkit-sticky;
        position: sticky;
        z-index: 1;
        overflow: hidden;
        width: 100%;
    }
    .single-product form.cart {
        margin-bottom: 0;
    }
    .single-product form.cart button {
        margin-bottom: 0;
    }
    .single-product .variations .label label {
        margin: 0;
    }
    .single-product .ux-swatches {
        margin: 0;
    }
}

.is-divider {
    display: none;
}
.cart-popup-title>span {
    text-align: left;
    margin-bottom: 20px;
}
/* Widgets & Plugins
----------------------------------------------------------- */
form.cart {
    position: relative;
}
.woo_sc_frontend_btn {
    position: absolute;
    right: 0;
    z-index: 999;
}
div.woo_sc_price_btn_popup {
    font-size: 13px;
    font-weight: 400;
    font-family: var(--font-primary);
    color: var(--color-primary);
    text-decoration: underline;
    padding: 0;
    margin: 0;
    width: 100%;
    height: unset;
    background-color: transparent !important;
}
div.woo_sc_price_btn_popup:hover {
    padding: 0;
    margin: 0;
    border: none;
    transform: none;
    -webkit-transform: none;
    -moz-transform: none;
    -ms-transform: none;
    -o-transform: none;
    box-shadow: none;
}
.woo_sc_view_table.sc_id_1564 th {
    color: var(--color-white) !important;
    background-color: var(--color-primary) !important;
    border-top: 1px solid var(--color-primary) !important;
    border-bottom: 1px solid var(--color-primary) !important;
    border-left: 1px solid var(--color-primary) !important;
    border-right: 1px solid var(--color-primary) !important;
}
.woo_sc_view_table.sc_id_1564 td {
    border-top: 1px solid var(--color-primary) !important;
    border-bottom: 1px solid var(--color-primary) !important;
    border-left: 1px solid var(--color-primary) !important;
    border-right: 1px solid var(--color-primary) !important;
}
.woo_sc_view_table.sc_id_1564 tr:nth-child(odd) td {
    background-color: rgba(0,0,0,0.05) !important;
}
/* Footer
----------------------------------------------------------- */
.absolute-footer {
    color: var(--color-primary) !important;
}

.menu-footer-menu-container {
    margin-bottom: 30px;
}







/* RESET FONT TO BE VIETNAM PRO */
body,
html,
button,
input,
select,
textarea,
.site,
.ux-text,
.ux-text h1, .ux-text h2, .ux-text h3, .ux-text h4, .ux-text h5, .ux-text h6,
h1, h2, h3, h4, h5, h6,
.nav > li > a,
.nav-dropdown li > a,
.ux-menu-link,
.button,
a {
    font-family: 'Be Vietnam Pro', sans-serif !important;
    font-weight: 400;
    font-style: normal;
    letter-spacing: 0;
}

/* MENU - BOLD */
.header-main .nav > li > a,
.header-main .nav li a.nav-top-link {
    font-family: 'Be Vietnam Pro', sans-serif !important;
    font-weight: 700 !important;
    letter-spacing: 0.5px;
    text-transform: uppercase;
}

/* HEADINGS */
h1, h2, h3, h4, h5, h6 {
    font-weight: 600;
}

/* BUTTONS */
.button, .btn, .woocommerce a.button {
    font-family: 'Be Vietnam Pro', sans-serif;
    font-weight: 500;
}

/* INPUT FIELDS */
input, select, textarea {
    font-family: 'Be Vietnam Pro', sans-serif;
    font-weight: 400;
}

